petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSGetImplicit

Returns the flag for implicit solve for this field. This is just a guide for IMEX

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetImplicit(PetscDS prob, PetscInt f, PetscBool *implicit)

Not collective

### Input Parameters

| prob | - The PetscDS object
| f | - The field number

### Output Parameter

implicit -The flag indicating what kind of solve to use for this field

### See Also

PetscDSSetImplicit(), PetscDSSetDiscretization(), PetscDSAddDiscretization(), PetscDSGetNumFields(), PetscDSCreate()

### Level

developer

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages